Element (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest.build

## Class Element

- java.lang.Object
- - com.ibm.streamsx.rest.build.Element

- Direct Known Subclasses:
    Artifact, BaseImage, Build, BuildPool, Toolkit

      public abstract class Element
      extends java.lang.Object

  IBM Streams element. Super-class for elements returned from the IBM Streams REST API.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `Element.ElementArray<E extends Element>` internal usage to get the list of processing elements

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Element()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static <E extends Element,A extends Element.ElementArray<E>> java.util.List<E>` | `createList(com.ibm.streamsx.rest.build.AbstractConnection sc, java.lang.String uri, java.lang.Class<A> arrayClass)`
    `void` | `refresh()` Refresh this element.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Element

          public Element()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### refresh

          public void refresh()
                       throws java.io.IOException

      Refresh this element. Attributes of this object are updated from current state though the Streams REST API.
      Throws:
        `java.io.IOException` - Error communicating with Streams.

    - #### createList

          protected static final <E extends Element,A extends Element.ElementArray<E>> java.util.List<E> createList(com.ibm.streamsx.rest.build.AbstractConnection sc,
                                                                                                                    java.lang.String uri,
                                                                                                                    java.lang.Class<A> arrayClass)
                                                                                                             throws java.io.IOException

      Throws:
        `java.io.IOException`